# Solo retiros BREB del mes de mayo
curl "https://consola.mouvlatam.com/api/wallets/transactions?type=TRANSFER_OUT&rail=BREB&from=2026-05-01&to=2026-05-31&limit=100" \
-H "Authorization: Bearer mvk_..."
// Reporting diario — todos los movimientos de ayer
async function dailyReport() {
const yesterday = new Date(Date.now() - 86400000);
const date = yesterday.toISOString().split('T')[0];
return fetch(
`https://consola.mouvlatam.com/api/wallets/transactions?from=${date}&to=${date}&limit=100`,
{ headers: { 'Authorization': `Bearer ${process.env.MOUV_API_KEY}` } }
).then(r => r.json());
}
{
"items": [
{
"id": "8e39f393-...",
"type": "TRANSFER_OUT",
"rail": "BREB",
"status": "COMPLETED",
"amount": "100000",
"totalFee": "1100",
"ivaAmount": "209",
"netAmount": "98691",
"targetName": "JUAN PEREZ",
"targetDocument": "1018485810",
"reference": "factura-001",
"createdAt": "2026-05-25T20:00:00.000Z",
"completedAt": "2026-05-25T20:00:05.000Z"
},
{
"id": "9f50e404-...",
"type": "TRANSFER_IN",
"rail": "PSE",
"status": "COMPLETED",
"amount": "50000",
"totalFee": "550",
"ivaAmount": "104",
"netAmount": "49346",
"targetName": "MARIA RODRIGUEZ",
"targetDocument": "1015223344",
"reference": null,
"createdAt": "2026-05-25T19:30:00.000Z",
"completedAt": "2026-05-25T19:30:08.000Z"
}
],
"nextCursor": null,
"hasMore": false
}
Transacciones
GET /wallets/transactions
Listado unificado de entradas + salidas
GET
/
api
/
wallets
/
transactions
# Solo retiros BREB del mes de mayo
curl "https://consola.mouvlatam.com/api/wallets/transactions?type=TRANSFER_OUT&rail=BREB&from=2026-05-01&to=2026-05-31&limit=100" \
-H "Authorization: Bearer mvk_..."
// Reporting diario — todos los movimientos de ayer
async function dailyReport() {
const yesterday = new Date(Date.now() - 86400000);
const date = yesterday.toISOString().split('T')[0];
return fetch(
`https://consola.mouvlatam.com/api/wallets/transactions?from=${date}&to=${date}&limit=100`,
{ headers: { 'Authorization': `Bearer ${process.env.MOUV_API_KEY}` } }
).then(r => r.json());
}
{
"items": [
{
"id": "8e39f393-...",
"type": "TRANSFER_OUT",
"rail": "BREB",
"status": "COMPLETED",
"amount": "100000",
"totalFee": "1100",
"ivaAmount": "209",
"netAmount": "98691",
"targetName": "JUAN PEREZ",
"targetDocument": "1018485810",
"reference": "factura-001",
"createdAt": "2026-05-25T20:00:00.000Z",
"completedAt": "2026-05-25T20:00:05.000Z"
},
{
"id": "9f50e404-...",
"type": "TRANSFER_IN",
"rail": "PSE",
"status": "COMPLETED",
"amount": "50000",
"totalFee": "550",
"ivaAmount": "104",
"netAmount": "49346",
"targetName": "MARIA RODRIGUEZ",
"targetDocument": "1015223344",
"reference": null,
"createdAt": "2026-05-25T19:30:00.000Z",
"completedAt": "2026-05-25T19:30:08.000Z"
}
],
"nextCursor": null,
"hasMore": false
}
Listado UNIFICADO de movimientos: tanto retiros (
TRANSFER_OUT) como entradas (TRANSFER_IN — PSE deposits, BREB inbounds, manual credits). Industry pattern Stripe /v1/balance_transactions.
Scope: READ
Query params
| Param | Tipo | Default | Significado |
|---|---|---|---|
page | number | 0 | Zero-indexed |
limit | number | 20 | Max 100 |
type | string | (all) | TRANSFER_OUT / TRANSFER_IN / FEE_CHARGE / BALANCE_ADD |
rail | string | (all) | BREB o ACH |
from | string | (none) | ISO 8601 date (ej. 2026-05-01) |
to | string | (none) | ISO 8601 date (ej. 2026-05-31) |
Response 200
array
Show Schema de movement
Show Schema de movement
string
UUID
string
TRANSFER_OUT, TRANSFER_IN, FEE_CHARGE, BALANCE_ADDstring
BREB, ACH, o PSE (inflow)string
PENDING / COMPLETED / FAILEDstring
BigInt-safe (centavos)
string
Comisión
string
IVA
string
amount - totalFee (outflow) o amount + totalFee recibido (inflow)string | null
Para outflows: destinatario
string | null
Para outflows: documento destinatario
string | null
Tu reference (si lo proveíste)
string
ISO 8601
string | null
Cuándo confirmó el rail
string | null
Cursor next page o null
boolean
Conveniencia —
nextCursor !== nullEjemplos
# Solo retiros BREB del mes de mayo
curl "https://consola.mouvlatam.com/api/wallets/transactions?type=TRANSFER_OUT&rail=BREB&from=2026-05-01&to=2026-05-31&limit=100" \
-H "Authorization: Bearer mvk_..."
// Reporting diario — todos los movimientos de ayer
async function dailyReport() {
const yesterday = new Date(Date.now() - 86400000);
const date = yesterday.toISOString().split('T')[0];
return fetch(
`https://consola.mouvlatam.com/api/wallets/transactions?from=${date}&to=${date}&limit=100`,
{ headers: { 'Authorization': `Bearer ${process.env.MOUV_API_KEY}` } }
).then(r => r.json());
}
{
"items": [
{
"id": "8e39f393-...",
"type": "TRANSFER_OUT",
"rail": "BREB",
"status": "COMPLETED",
"amount": "100000",
"totalFee": "1100",
"ivaAmount": "209",
"netAmount": "98691",
"targetName": "JUAN PEREZ",
"targetDocument": "1018485810",
"reference": "factura-001",
"createdAt": "2026-05-25T20:00:00.000Z",
"completedAt": "2026-05-25T20:00:05.000Z"
},
{
"id": "9f50e404-...",
"type": "TRANSFER_IN",
"rail": "PSE",
"status": "COMPLETED",
"amount": "50000",
"totalFee": "550",
"ivaAmount": "104",
"netAmount": "49346",
"targetName": "MARIA RODRIGUEZ",
"targetDocument": "1015223344",
"reference": null,
"createdAt": "2026-05-25T19:30:00.000Z",
"completedAt": "2026-05-25T19:30:08.000Z"
}
],
"nextCursor": null,
"hasMore": false
}